package com.ruoyi.sy.service;

import java.util.List;
import com.ruoyi.sy.domain.SyVocationalPostDetail;

/**
 * 就业岗位详情Service接口
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public interface ISyVocationalPostDetailService 
{
    /**
     * 查询就业岗位详情
     * 
     * @param id 就业岗位详情ID
     * @return 就业岗位详情
     */
    public SyVocationalPostDetail selectSyVocationalPostDetailById(Long id);
    public SyVocationalPostDetail selectSyVocationalPostDetailByName(String name);

    /**
     * 查询就业岗位详情列表
     * 
     * @param syVocationalPostDetail 就业岗位详情
     * @return 就业岗位详情集合
     */
    public List<SyVocationalPostDetail> selectSyVocationalPostDetailList(SyVocationalPostDetail syVocationalPostDetail);

    /**
     * 新增就业岗位详情
     * 
     * @param syVocationalPostDetail 就业岗位详情
     * @return 结果
     */
    public int insertSyVocationalPostDetail(SyVocationalPostDetail syVocationalPostDetail);

    /**
     * 修改就业岗位详情
     * 
     * @param syVocationalPostDetail 就业岗位详情
     * @return 结果
     */
    public int updateSyVocationalPostDetail(SyVocationalPostDetail syVocationalPostDetail);

    /**
     * 批量删除就业岗位详情
     * 
     * @param ids 需要删除的就业岗位详情ID
     * @return 结果
     */
    public int deleteSyVocationalPostDetailByIds(Long[] ids);

    /**
     * 删除就业岗位详情信息
     * 
     * @param id 就业岗位详情ID
     * @return 结果
     */
    public int deleteSyVocationalPostDetailById(Long id);
}
